GNUNET-TESTING-RUN-SERVICE(1)

NAME
gnunet-testing-run-service - command line tool to start a service for testing

SYNOPSIS
gnunet-testing-run-service [-c FILENAME | --config=FILENAME] [-h | --help] [-s SERVICE | --service=SERVICE]

DESCRIPTION
gnunet-testing-run-service is a command line tool to start a service for testing. It starts a peer, running only the service specified on the command line, outputs the path to the temporary configuration file to stdout.

The peer will run until this program is killed, or stdin is closed. When reading the character 'r' from stdin, the running service is restarted with the same configuration.

This executable is intended to be used by gnunet-java, in order to reliably start and stop services for test cases.

-c FILENAME | --config=FILENAME
    Name of the template configuration file to use (optional).

-h | --help
    Print short help on options.

-s SERVICE | --service=SERVICE
    Name of the service to run.

SEE ALSO
The full documentation for gnunet is maintained as a Texinfo manual. If the info(1) and gnunet programs are properly installed at your site, the command

    info gnunet

should give you access to the complete handbook,

    info gnunet-c-tutorial

will give you access to a tutorial for developers.

Depending on your installation, this information is also available in gnunet(7) and gnunet-c-tutorial(7).

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <gnunet-developers@gnu.org>.